"use strict";
/**
 * Copyright Watheia Labs, LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const nprogress_1 = __importDefault(require("nprogress"));
const router_1 = require("next/router");
const react_2 = require("react");
function Progress() {
    const router = router_1.useRouter();
    react_2.useEffect(() => {
        let timeout;
        const start = () => {
            timeout = setTimeout(nprogress_1.default.start, 100);
        };
        const done = () => {
            clearTimeout(timeout);
            nprogress_1.default.done();
        };
        if (router) {
            router.events.on("routeChangeStart", start);
            router.events.on("routeChangeComplete", done);
            router.events.on("routeChangeError", done);
        }
        return () => {
            if (router) {
                router.events.off("routeChangeStart", start);
                router.events.off("routeChangeComplete", done);
                router.events.off("routeChangeError", done);
            }
        };
    }, []);
    return react_1.default.createElement(react_1.default.Fragment, null);
}
exports.default = Progress;
//# sourceMappingURL=nprogress.js.map